# Copyright (c) 2016, Yahoo Inc.
# Copyrights licensed under the BSD License
# See the accompanying LICENSE.txt file for terms.

"""
Exceptions generated by the yahoo.contrib.invirtualenv module
"""


class AlreadyExists(Exception):
    """
    Package already Exists exception
    """
    pass


class BuildException(Exception):
    """
    There was an error Building the VirtualEnv
    """
    pass


class CommandNotFound(Exception):
    """
    The command specified wasn't found
    """
    pass


class InsufficientPermissions(Exception):
    """
    The current user has insufficient permissions to complete the specified
    operation.
    """
    pass


class NoPackageVersions(Exception):
    """
    Query of the Python PyPi repo returned no packages with the specified
    name.
    """
    pass


class PackageConfigFailure(Exception):
    """
    Unable to create a package configuration file
    """
    pass


class PackageGenerationFailure(Exception):
    """
    Package generation failed
    """
    pass
